import request from '@/utils/request';

/**
 * 统一查询接口
 * @param queryParams
 */
export function getQueryList(queryParams: any) {
  return request({
    url: '/api/query',
    method: 'post',
    data: queryParams,
  });
}

export function getQueryPageList(queryParams: any) {
  return request({
    url: '/api/queryPage',
    method: 'post',
    data: queryParams,
  });
}

export function getQueryAccountKBList(queryParams: any) {
    return request({
        url: '/api/queryPageAccountKB',
        method: 'post',
        data: queryParams,
    });
}

export function getQueryAccountPageList(queryParams: any) {
    return request({
        url: '/api/queryPageAccount',
        method: 'post',
        data: queryParams,
    });
}

/**
 * 统一解析bpel接口
 * @param ChangeParams
 */
export function BpelEvent(ChangeParams: any) {
  return request({
    url: '/api/bpel/event',
    method: 'post',
    data: ChangeParams,
  });
}

 /**
 * 统一解析bpel接口
 * @param ChangeParams
 */
 export function bpelAuxiliary(ChangeParams: any) {
  return request({
    url: '/api/Auxiliary/AuxiliaryIssuance',
    method: 'post',
    data: ChangeParams,
  });
}


export function AuxiliaryReserve(ChangeParams: any) {
    return request({
        url: '/api/Auxiliary/AuxiliaryReserve',
        method: 'post',
        data: ChangeParams,
    });
}

export function AuxiliaryDessign(ChangeParams: any) {
    return request({
        url: '/api/Auxiliary/AuxiliaryDessign',
        method: 'post',
        data: ChangeParams,
    });
}

export function dessiginBoxByAct(ChangeParams: any) {
    return request({
        url: '/api/MaterialReceiveAct/dessiginBoxByAct',
        method: 'post',
        data: ChangeParams,
    });
}


export function MoveTransform(ChangeParams: any) {
    return request({
        url: '/api/MoveTransform/MoveTransform',
        method: 'post',
        data: ChangeParams,
    });
}

export function MaturationLibraryToERP(ChangeParams: any) {
    return request({
        url: '/api/MaturationLibrary/ToERP',
        method: 'post',
        data: ChangeParams,
    });
}

export function updateCAREER_ASSISTANCE(queryParams: any) {
  return request({
    url: '/api/MaturationLibrary/updateCAREER_ASSISTANCE',
    method: 'post',
    data: queryParams,
  });
}

export function undoCommit(queryParams: any) {
    return request({
        url: '/api/MaterialUndo/commitUndo',
        method: 'post',
        data: queryParams,
    });
}